Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062931 - F3 ('scan') does not show any found devices/cells
Summary: F3 ('scan') does not show any found devices/cells
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: wavemon
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-08 21:10 UTC by John Horne
Modified: 2015-06-30 00:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:53:31 UTC


Attachments (Terms of Use)

Description John Horne 2014-02-08 21:10:54 UTC
Description of problem:
Start 'wavemon', then press F3 to 'scan'. The screen shows 'waiting for scan data ...', then after a few seconds it shows 'Waiting for scan data on wlp0s2f1u2 ...'. It remains like that for ages - I left it for around 30 minutes, then stopped the program.
('wlp0s2f1u2' is my wireless device, so it detected that correctly.)

Version-Release number of selected component (if applicable):
wavemon-0.7.5-5.fc20.x86_64
(same problem when tested with wavemon-0.7.6-1.fc20.x86_64 from updates-testing)


How reproducible:


Steps to Reproduce:
1. As described above - run wavemon, then press F3.
2.
3.

Actual results:
As described above.

Expected results:
Not sure - this is the first time I've used wavemon!
I assume some sort of displayed data based on what the scan detects.

Additional info:
If I run 'iwlist wlp0s2f1u2 scan' then local wireless devices/cells (and mine) are detected and displayed.

My network card is a USB D-Link DWA-160 802.11abgn Xtreme N Dual Band Adapter with an Atheros chip inside. I am using the carl9170 module. It is running at 5GHz. Wavemon detects all the device details correctly (as shown by pressing F1).

Comment 1 Fabian Affolter 2014-02-26 10:19:36 UTC
It seems that wavemon needs additional permissons to run the scan. Without root permission I get 'This screen requires CAP_NET_ADMIN permissions' after pressing F3. With $ sudo wavemon it works fine. After a couple of seconds the networks are shown.

wavemon-0.7.6-1.fc20.x86_64

Comment 2 John Horne 2014-02-26 10:31:39 UTC
Yes, I have been running wavemon as root. As said nothing appears, but 'iwlist scan' works fine.

Comment 3 John Horne 2014-03-08 21:16:16 UTC
Looking at the source code,the problem seems to be with this section in iw_scan.c (line 635):

==================================
if (ioctl(skfd, SIOCSIWSCAN, &wrq) < 0)
        goto done;
==================================


At the code within 'do_scan':

==================================
if (!sr->head) {
...
                        case EINTR:
                        case EBUSY:
                        case EAGAIN:
                                /* Temporary errors. */
                                snprintf(sr->msg, sizeof(sr->msg), "Waiting for scan data on %s ...", conf_ifname());
                                break;
==================================


If I display a simple counter within the 'temporary errors' loop, this code runs continuously. Not sure why but the counter goes from 1 to 48, then stops for a couple of seconds. It then runs from 49 to 96, stops again, then continuous from 96 to 144 and so on.

Before that bit of code is a call to 'get_scan_list, which contains the top bit of code. That ioctl test fails, and so 'sr->head' is never set. The whole thing just loops round.


So, why does ioctl fail? First guess would be a driver problem. However, 'iwlist scan' works. I think the next step is maybe to look at how iwlist does things, and see if there is some clue as to why that works but wavemon doesn't (for me).

Comment 4 John Horne 2014-03-09 18:51:59 UTC
Line 634 in iw_scan.c looks wrong:

    strncpy(wrq.ifr_ifrn.ifrn_name, ifname, IFNAMSIZ);

Surely this should be:

    strncpy(wrq.ifr_name, ifname, IFNAMSIZ);

Changing the code to this, did not help my problem though.

Comment 5 Fedora End Of Life 2015-05-29 10:51:22 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-30 00:53:31 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.